PCAP_OPEN_OFFLINE(3PCAP)

NAME
pcap_open_offline, pcap_fopen_offline - open a saved capture file for reading

SYNOPSIS
#include <pcap/pcap.h>

char errbuf[PCAP_ERRBUF_SIZE];

pcap_t *pcap_open_offline(const char *fname, char *errbuf);
pcap_t *pcap_fopen_offline(FILE *fp, char *errbuf);

DESCRIPTION
pcap_open_offline() is called to open a ``savefile'' for reading.

fname specifies the name of the file to open. The file has the same format as those used by tcpdump(1) and tcpslice(1). The name "-" in a synonym for stdin.

Alternatively, you may call pcap_fopen_offline() to read dumped data from an existing open stream fp. Note that on Windows, that stream should be opened in binary mode.

RETURN VALUE
pcap_open_offline() and pcap_fopen_offline() return a pcap_t * on success and NULL on failure. If NULL is returned, errbuf is filled in with an appropriate error message. errbuf is assumed to be able to hold at least PCAP_ERRBUF_SIZE chars.

SEE ALSO
pcap(3PCAP), pcap-savefile(@MAN_FILE_FORMATS@)